%define real_name mach64

Summary: mach64 kernel driver
Name: dkms-mach64
Version: 20150222
Release: 1%{?dist}
License: BSD
Group: System Environment/Kernel
URL: http://trya.alwaysdata.net/linux
Source: http://trya.alwaysdata.net/linux/mach64-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
Requires: gcc
Requires: make
Requires: dkms

%description
mach64 kernel driver.

%prep
%setup -n %{real_name}-%{version}

%build

%install
rm -rf %{buildroot}

%define dkms_name mach64
%define dkms_vers %{version}
%define quiet -q

# Kernel module sources install for dkms
mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
cp -a Makefile mach64_* %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

# Configuration for dkms
%{__cat} <<'EOF' >%{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
MAKE[0]="src=/usr/src/${PACKAGE_NAME}-${PACKAGE_VERSION}/ ; make"
CLEAN="make clean"

BUILT_MODULE_NAME[0]="mach64"

DEST_MODULE_LOCATION[0]="/kernel/drivers/gpu/drm/mach64"
AUTOINSTALL=yes
EOF

%clean
rm -rf %{buildroot}

%post
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force || :

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :

%files
%defattr(-, root, root, 0755)
%doc README.md
%{_usrsrc}/%{dkms_name}-%{dkms_vers}/

%changelog
